unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Buttons, ActivLicense;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    rbActivation: TRadioButton;
    rbTrial: TRadioButton;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label16: TLabel;
    Label17: TLabel;
    ActivLicense1: TActivLicense;
    BitBtn3: TBitBtn;
    Label20: TLabel;
    Image1: TImage;
    Panel3: TPanel;
    Label21: TLabel;
    BitBtn4: TBitBtn;
    Label23: TLabel;
    Label15: TLabel;
    Label19: TLabel;
    Label18: TLabel;
    Label25: TLabel;
    Image2: TImage;
    GroupBox1: TGroupBox;
    Label14: TLabel;
    Label22: TLabel;
    Label26: TLabel;
    Label24: TLabel;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure Label19MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Panel2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label20MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure ActivLicense1TrialMode(RunLeft: Integer);
    procedure ActivLicense1Refused(Msg: String);
    procedure ActivLicense1Error(Sender: TObject);
    procedure ActivLicense1Accepted(Sender: TObject);
    procedure Label11Click(Sender: TObject);
    procedure Label15Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Label19Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure Label20Click(Sender: TObject);
    procedure ActivLicense1ActivInfo(UserID, UserKey: String);
    procedure ActivLicense1MaxActivations(Sender: TObject);
    procedure ActivLicense1ActivExpired(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3;

{$R *.dfm}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
 Application.Terminate;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
 If rbTrial.Checked Then
  Begin
   ActivLicense1.MaxLaunchs := '35';
   ActivLicense1.Run;
  End;

 If rbActivation.Checked Then
  Begin
   frmActivate.ShowModal;
  End;
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
 If ActivLicense1.ResetActivKey Then
  Begin
   MessageDlg(#13+'The ActivKey Info has been removed.',MtInformation,[MbOk],0);
   Panel3.Visible := False;
  End;
end;

procedure TForm1.Label19MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
 Screen.Cursor := crHandPoint;
end;

procedure TForm1.Panel2MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
 Screen.Cursor := crDefault;
end;

procedure TForm1.Label20MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
 Screen.Cursor := crHandPoint;
end;

procedure TForm1.ActivLicense1TrialMode(RunLeft: Integer);
begin
 MessageDlg(#13+'Welcome to trial period, you have '+IntToStr(RunLeft)+' lefts before expiration.',MtInformation,[MbOk],0); 
end;

procedure TForm1.ActivLicense1Refused(Msg: String);
begin
 ShowMessage('Activation product refused '+ MSg);
end;

procedure TForm1.ActivLicense1Error(Sender: TObject);
begin
 ShowMessage('Error Activation Checking');
end;

procedure TForm1.ActivLicense1Accepted(Sender: TObject);
begin
 Panel3.Align := alClient;
 Panel3.Visible := True; 
end;

procedure TForm1.Label11Click(Sender: TObject);
begin
 rbActivation.Checked := True;
end;

procedure TForm1.Label15Click(Sender: TObject);
begin
 rbTrial.Checked := True;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
 ActivLicense1.Run;
end;

procedure TForm1.Label19Click(Sender: TObject);
begin
 ActivLicense1.GoURL('http://www.ionworx.com/purchase.html');
end;

procedure TForm1.BitBtn4Click(Sender: TObject);
begin
 Close;
end;

procedure TForm1.Label20Click(Sender: TObject);
begin
 frmPhone.ShowModal;
end;

procedure TForm1.ActivLicense1ActivInfo(UserID, UserKey: String);
begin
 Label24.Caption := UserID;
 Label26.Caption := UserKey;
end;

procedure TForm1.ActivLicense1MaxActivations(Sender: TObject);
begin
 ShowMessage('You have reach to Maximum Activations !'+#13+'You need to contact author to increase the number');
 Application.Terminate;
end;

procedure TForm1.ActivLicense1ActivExpired(Sender: TObject);
begin
 ShowMessage(#13+'Your Activation granted period has been expired, you must to renew please contact the author');
end;

end.
